Identifier
Date: 2017-06-10

org.gcube.informationsystem.collector.impl.utils

## Class Identifier

- java.lang.Object
- - org.gcube.informationsystem.collector.impl.utils.Identifier

-     public class Identifier
      extends java.lang.Object

  Build instance state identifiers
  Author:
    Manuele Simi (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Identifier()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `buildInstanceStateID(EntryParser parser)` Builds an instance state identifier
    `static java.lang.String` | `buildInstanceStateID(java.lang.String source, java.lang.String id)` Builds an instance state identifier
    `static java.lang.String` | `buildProfileID(java.lang.String message)` Builds a profile ID starting from the message (a string serialization of the profile)

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Identifier

          public Identifier()

  - ### Method Detail

    - #### buildInstanceStateID

          public static java.lang.String buildInstanceStateID(EntryParser parser)

      Builds an instance state identifier
      Parameters:
        `parser` - the parser of the source entry
      Returns:
        the identifier

    - #### buildInstanceStateID

          public static java.lang.String buildInstanceStateID(java.lang.String source,
                                              java.lang.String id)

      Builds an instance state identifier
      Parameters:
        `source` - the URI of the publisher
        `id` - the id related to the piece of state to identify
      Returns:
        the identifier

    - #### buildProfileID

          public static java.lang.String buildProfileID(java.lang.String message)
                                                 throws java.lang.Exception

      Builds a profile ID starting from the message (a string serialization of the profile)
      Parameters:
        `message` - the message
      Returns:
        the ID of the profile
      Throws:
        `java.lang.Exception` - if the profile is not well-formed